MMC:CFG_1.0::

MMC_REAL_ROUTINE:
-name pwlin       -default_struct 1,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0
-name pwlinsync   -default_struct 1,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1
-name paintlsig   -default_struct 1,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0
-name pwcir       -default_struct 1,1,1,1,1,0
-name pwlin1      -default_struct 1,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0
-name pwcir1      -default_struct 1,1,1,1,1,0
-name pwlin2      -default_struct 1,1,0,0,0,0,0,0,0,0,0,0,0,1,1,0
-name pwcir2      -default_struct 1,1,1,1,1,0
-name usebrushtab -default_struct 1
-name setcolor    -default_struct 1
-name setbrush    -default_struct 1
-name getsignal   -default_struct 1
-name setbrushfac -default_struct 1,1
-name getbrushfac -default_struct 1


MMC_REAL_PARAM:
-name pwlin_e1 -name_rule -def_name
-name pwlin_e2 -name_rule -def_name
-name pwlin_e3 -name_rule -def_name
-name pwlin_e4 -name_rule -def_name
-name pwlin_e5 -name_rule -def_name
-name pwlin_e6 -name_rule -def_name
-name pwlin_e7 -name_rule -def_name
-name pwlin_e8 -name_rule -def_name
-name pwlin_e9 -name_rule -def_name
-name pwlin_e10 -name_rule -def_name
-name pwlin_tool -name_rule CUR -method hirule_tooldata
-name pwlin_wobj -name_rule CUR  -method hirule_wobjdata

-name pwlinsync_e1 -name_rule -def_name
-name pwlinsync_e2 -name_rule -def_name
-name pwlinsync_e3 -name_rule -def_name
-name pwlinsync_e4 -name_rule -def_name
-name pwlinsync_e5 -name_rule -def_name
-name pwlinsync_e6 -name_rule -def_name
-name pwlinsync_e7 -name_rule -def_name
-name pwlinsync_e8 -name_rule -def_name
-name pwlinsync_e9 -name_rule -def_name
-name pwlinsync_e10 -name_rule -def_name
-name pwlinsync_tool -name_rule CUR -method hirule_tooldata
-name pwlinsync_wobj -name_rule CUR  -method hirule_wobjdata
-name pwlinsync_signal -name_rule LAST -def_name

-name paintlsig_e1 -name_rule -def_name
-name paintlsig_e2 -name_rule -def_name
-name paintlsig_e3 -name_rule -def_name
-name paintlsig_e4 -name_rule -def_name
-name paintlsig_e5 -name_rule -def_name
-name paintlsig_e6 -name_rule -def_name
-name paintlsig_e7 -name_rule -def_name
-name paintlsig_e8 -name_rule -def_name
-name paintlsig_e9 -name_rule -def_name
-name paintlsig_e10 -name_rule -def_name
-name paintlsig_tool -name_rule CUR -method hirule_tooldata
-name paintlsig_wobj -name_rule CUR  -method hirule_wobjdata
-name paintlsig_signal -name_rule LAST -def_name
-name paintlsig_value -name_rule NONE -def_name
-name paintlsig_brushno -name_rule LAST -def_name
-name paintlsig_dt -name_rule NONE -def_name

-name pwcir_tool -name_rule CUR -method hirule_tooldata
-name pwcir_wobj -name_rule CUR  -method hirule_wobjdata

-name pwlin1_e1_1 -name_rule -def_name
-name pwlin1_e2_1 -name_rule -def_name
-name pwlin1_e3_1 -name_rule -def_name
-name pwlin1_e4_1 -name_rule -def_name
-name pwlin1_e5_1 -name_rule -def_name
-name pwlin1_e6_1 -name_rule -def_name
-name pwlin1_e7_1 -name_rule -def_name
-name pwlin1_e8_1 -name_rule -def_name
-name pwlin1_e9_1 -name_rule -def_name
-name pwlin1_e10_1 -name_rule -def_name
-name pwlin1_tool -name_rule CUR -method hirule_tooldata
-name pwlin1_wobj -name_rule CUR  -method hirule_wobjdata

-name pwcir1_tool -name_rule CUR -method hirule_tooldata
-name pwcir1_wobj -name_rule CUR  -method hirule_wobjdata

-name pwlin2_e1_2 -name_rule -def_name
-name pwlin2_e2_2 -name_rule -def_name
-name pwlin2_e3_2 -name_rule -def_name
-name pwlin2_e4_2 -name_rule -def_name
-name pwlin2_e5_2 -name_rule -def_name
-name pwlin2_e6_2 -name_rule -def_name
-name pwlin2_e7_2 -name_rule -def_name
-name pwlin2_e8_2 -name_rule -def_name
-name pwlin2_e9_2 -name_rule -def_name
-name pwlin2_e10_2 -name_rule -def_name
-name pwlin2_tool -name_rule CUR -method hirule_tooldata
-name pwlin2_wobj -name_rule CUR  -method hirule_wobjdata

-name pwcir2_tool -name_rule CUR -method hirule_tooldata
-name pwcir2_wobj -name_rule CUR  -method hirule_wobjdata

-name usebrushtab_brushtable -name_rule LAST -def_name

-name setcolor_color -name_rule LAST -def_name

-name setbrush_brushnumber -name_rule LAST -def_name

-name setbrushfac_factornr -name_rule LAST -def_name
-name setbrushfac_value -name_rule DEF -def_name 100

-name setxsignal_signal -name_rule LAST -def_name
-name setxsignal_dtime -name_rule LAST -def_name 0.1

-name getsignal_signal -name_rule LAST -def_name

MMC_COMMON_PARAM:
-name pwcir_cirpoint -common_space_name common_point
-name pwcir1_cirpoint -common_space_name common_point
-name pwcir2_cirpoint -common_space_name common_point
-name pwcir_topoint -common_space_name common_point
-name pwcir1_topoint -common_space_name common_point
-name pwcir2_topoint -common_space_name common_point
-name pwlin_topoint -common_space_name common_point
-name pwlin1_topoint -common_space_name common_point
-name pwlin2_topoint -common_space_name common_point

-name pwcir_speed -common_space_name common_speed
-name pwcir1_speed -common_space_name common_speed
-name pwcir2_speed -common_space_name common_speed
-name pwlin_speed -common_space_name common_speed
-name pwlin1_speed -common_space_name common_speed
-name pwlin2_speed -common_space_name common_speed

-name pwcir_zone -common_space_name common_cir_zone
-name pwcir1_zone -common_space_name common_cir_zone
-name pwcir2_zone -common_space_name common_cir_zone
-name pwlin_zone -common_space_name common_zone
-name pwlin1_zone -common_space_name common_zone
-name pwlin2_zone -common_space_name common_zone

-name pwlinsync_topoint -common_space_name common_point
-name pwlinsync_speed -common_space_name common_speed
-name pwlinsync_zone -common_space_name common_zone

-name paintlsig_topoint -common_space_name common_point
-name paintlsig_speed -common_space_name common_speed
-name paintlsig_zone -common_space_name common_zone


MMC_INSTR_WITH_WOBJ:
-name pwlin 	-param_nr 16
-name pwlin1	-param_nr 16
-name pwlin2	-param_nr 16
-name pwcir 	-param_nr 6
-name pwcir1	-param_nr 6
-name pwcir2	-param_nr 6
-name pwlinsync -param_nr 16
-name paintlsig -param_nr 16

MMC_SELECT_PARAM:
-name pwcir -param_nr 2
-name pwcir1 -param_nr 2
-name pwcir2 -param_nr 2


MMC_NO_PC_MOVEMENT:
-name pwcir_cirpoint
-name pwcir1_cirpoint
-name pwcir2_cirpoint


MMC_NO_NOREGAIN:
-name pwcir
-name pwcir1
-name pwcir2


MMC_REAL_DATATYPE:
-name eventdata -def_name ed -value_rule DEF -object_type PERS
-name brushdata -def_name bd -value_rule DEF -object_type PERS
-name eventdata1 -def_name ed1_ -value_rule DEF -object_type PERS
-name brushdata1 -def_name bd1_ -value_rule DEF -object_type PERS
-name eventdata2 -def_name ed2_ -value_rule DEF -object_type PERS
-name brushdata2 -def_name bd2_ -value_rule DEF -object_type PERS


MMC_INST_NOT_REUSING_PREV_OPT_ARG:
-name pwlin -param_nr 3,4,5,6,7,8,9,10,11,12
-name pwlin1 -param_nr 3,4,5,6,7,8,9,10,11,12
-name pwlin2 -param_nr 3,4,5,6,7,8,9,10,11,12
-name pwlinsync -param_nr 3,4,5,6,7,8,9,10,11,12
-name paintlsig -param_nr 3,4,5,6,7,8,9,10,11,12
